Last modified: 2014-01-03 15:57:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 25608 - MediaWiki:Fundraiserstats-tab-ytd should not contain (USD)
MediaWiki:Fundraiserstats-tab-ytd should not contain (USD)
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
FundraiserPortal (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: 18521 messages
  Show dependency treegraph
 
Reported: 2010-10-21 21:21 UTC by Purodha Blissenbach
Modified: 2014-01-03 15:57 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Purodha Blissenbach 2010-10-21 21:21:01 UTC
Like some other messages,MediaWiki:Fundraiserstats-tab-ytd 
contains a label likely put in front of a numeric figure.

It also contains the string (USD) at its end, telling us
what the figure measures. This is very unfriendly towards
internationalizations and translation effords. Depending
on language, and (sometimes) script, you want to have eihter
of these:

 1234 USD total so far of this year
 USD 1234 total so far of this year
 Total so far of this year: 1234 USD
 Total so far of this year (USD): 1234
 USD Total so far of this year: 1234

and possibly more which I'm not aware of.

I have no better idea than embedding the figure in the message,
allways.

If such text snippets are being used in a tabular layout,
this is not as easy. It needs to be documented in the /qqq
pseudo language so as to inform translators how to treat the
snippets, and still, depending on language, the "(USD)" must
be optional in a label text, and must be available to be put
before or after the numeric figure. Thus, for a table, we need
three messages: label-before, columns-with-figure, label-behind
even though either label is most often empty in a language.
Comment 1 Bugmeister Bot 2011-08-19 19:12:54 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 2 Peter Gehres 2012-06-12 23:04:32 UTC
This extension is no longer in use by the fundraising team.
Comment 3 Nemo 2013-08-10 20:25:28 UTC
(In reply to comment #2)
> This extension is no longer in use by the fundraising team.

Years later, it's clear that this page is not coming back; closing.
Moreover, IIRC the label was not in a table but in the legend of the graph or something.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links